{
  "name": "y-code-matrix",
  "version": "1.0.0",
  "private": true,
  "keywords": [
    "monorepo",
    "turborepo",
    "y-code",
    "low-code",
    "node-code"
  ],
  "author": {
    "name": "wangxuefeng",
    "email": "wangxuefeng@shiyue.com"
  },
  "type": "module",
  "scripts": {
    "build": "cross-env NODE_OPTIONS=--max-old-space-size=8192 turbo build",
    "build:staging": "cross-env NODE_OPTIONS=--max-old-space-size=8192 turbo build:staging",
    "build:prod": "cross-env NODE_OPTIONS=--max-old-space-size=8192 turbo build:prod",
    "build:analyze": "turbo build:analyze",
    "build:docker": "./scripts/deploy/build-local-docker-image.sh",
    "build:docs": "pnpm run build --filter=@vben/docs",
    "build:renderer": "pnpm run build --filter=@sy/y-code-renderer",
    "build:platform": "pnpm run build --filter=@sy/y-code-platform",
    "build:designer": "pnpm run build --filter=@sy/y-code-designer",
    "build:play": "pnpm run build --filter=@vben/playground",
    "changeset": "pnpm exec changeset",
    "check": "pnpm run check:circular && pnpm run check:dep && pnpm run check:type && pnpm check:cspell",
    "check:circular": "vsh check-circular",
    "check:cspell": "cspell lint **/*.ts **/README.md .changeset/*.md --no-progress",
    "check:dep": "vsh check-dep",
    "check:type": "turbo run typecheck",
    "clean": "node ./scripts/clean.mjs",
    "clean:dist": "node ./scripts/clean-dist.mjs && pnpm i",
    "commit": "czg",
    "dev": "turbo-run dev",
    "dev:docs": "pnpm -F @vben/docs run dev",
    "dev:renderer": "pnpm -F @sy/y-code-renderer run dev",
    "dev:play": "pnpm -F @vben/playground run dev",
    "format": "vsh lint --format",
    "lint": "vsh lint",
    "postinstall": "pnpm -r run stub --if-present",
    "preinstall": "npx only-allow pnpm",
    "prepare": "is-ci || husky",
    "preview": "turbo-run preview",
    "publint": "vsh publint",
    "reinstall": "pnpm clean --del-lock && pnpm install && pnpm store prune",
    "test:unit": "vitest run --dom",
    "test:e2e": "turbo run test:e2e",
    "update:deps": "npx taze -r -w",
    "version": "pnpm exec changeset version && pnpm install --no-frozen-lockfile",
    "reset": "pnpm clean && pnpm install",
    "turbo-graph:build": "npx turbo run build --graph",
    "turbo-graph-html:build": "npx turbo run build --graph=dependencies.html"
  },
  "devDependencies": {
    "@changesets/changelog-github": "catalog:",
    "@changesets/cli": "catalog:",
    "@playwright/test": "catalog:",
    "@types/node": "catalog:",
    "@vben/commitlint-config": "workspace:*",
    "@vben/eslint-config": "workspace:*",
    "@vben/prettier-config": "workspace:*",
    "@vben/stylelint-config": "workspace:*",
    "@vben/tailwind-config": "workspace:*",
    "@vben/tsconfig": "workspace:*",
    "@vben/turbo-run": "workspace:*",
    "@vben/vite-config": "workspace:*",
    "@vben/vsh": "workspace:*",
    "@vitejs/plugin-vue": "catalog:",
    "@vitejs/plugin-vue-jsx": "catalog:",
    "@vue/test-utils": "catalog:",
    "autoprefixer": "catalog:",
    "cross-env": "catalog:",
    "cspell": "catalog:",
    "happy-dom": "catalog:",
    "husky": "catalog:",
    "is-ci": "catalog:",
    "lint-staged": "catalog:",
    "playwright": "catalog:",
    "rimraf": "catalog:",
    "tailwindcss": "catalog:",
    "turbo": "catalog:",
    "typescript": "catalog:",
    "unbuild": "catalog:",
    "vite": "catalog:",
    "vitest": "catalog:",
    "vue": "catalog:",
    "vue-tsc": "catalog:"
  },
  "engines": {
    "node": ">=20.10.0",
    "pnpm": ">=10.6.2"
  },
  "packageManager": "pnpm@10.6.2",
  "pnpm": {
    "peerDependencyRules": {
      "allowedVersions": {
        "eslint": "*"
      }
    },
    "overrides": {
      "@ast-grep/napi": "catalog:",
      "@ctrl/tinycolor": "catalog:",
      "clsx": "catalog:",
      "esbuild": "0.24.0",
      "pinia": "catalog:",
      "vue": "catalog:"
    },
    "neverBuiltDependencies": [
      "canvas",
      "node-gyp"
    ]
  }
}
